#
# spec file for package jakarta-websocket
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global short_name websocket
Name:           jakarta-%{short_name}
Version:        2.2.0
Release:        1.1
Summary:        Jakarta WebSocket
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://projects.eclipse.org/projects/ee4j.%{short_name}
Source0:        https://github.com/jakartaee/%{short_name}/archive/refs/tags/%{version}-RELEASE.tar.gz
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.eclipse.ee4j:project:pom:)
BuildArch:      noarch

%description
Jakarta WebSocket defines a set of Java APIs for the development of WebSocket
applications.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
API documentation for %{name}.

%prep
%autosetup -n %{short_name}-%{version}-RELEASE

%pom_disable_module spec

%pom_remove_plugin :maven-enforcer-plugin api
%pom_remove_plugin :maven-source-plugin api
%pom_remove_plugin :maven-javadoc-plugin api

%build
%{mvn_build} -f -- \
	-Dproject.build.outputTimestamp=$(date -u -d @${SOURCE_DATE_EPOCH:-$(date +%%s)} +%%Y-%%m-%%dT%%H:%%M:%%SZ)

%install
%{mvn_package} :%{short_name}-parent __noinstall

%mvn_install
%fdupes %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%license {NOTICE,LICENSE}.md
%doc websocket-1.1-changes.txt {SECURITY,CONTRIBUTING,README}.md

%files javadoc -f .mfiles-javadoc
%license {NOTICE,LICENSE}.md

%changelog
* Sun Oct 13 2024 Anton Shvetz <shvetz.anton@gmail.com>
- Initial packaging with v2.2.0
